Subject: Re: [Roll] Compressing the PDAO natively
From: Michael Richardson <[email-masked]>
To: Routing Over Low power and Lossy networks <[email-masked]>
Date: Fri, 26 Jul 2019 16:58:03 -0400
List-Id: Routing Over Low power and Lossy networks <roll.ietf.org>

Pascal Thubert (pthubert) <[email-masked]> wrote:
    > Having a native PDAO format would allow to copy paste the source route
    > header
    > in non-storing PDAO. Would make the messages shorter. Would hint how to do
    > the rest of the RPL control plane compression.

Interesting.

    > I’m willing to propose an update in that direction, would like to see
    > feedback on the ML.

    > What do you all think?

Years ago, I applied GHC to RPL control packets, and I got rather good
results.

--
]               Never tell me the odds!                 | ipv6 mesh networks [
]   Michael Richardson, Sandelman Software Works        | network architect  [
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [